%define name	bincimap
%define version	1.0.25
%define release	1mdk

Summary:	Binc IMAP server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.bincimap.andreas.hanssen.name/
Source0:	%{name}-%{version}.tar.bz2
Source1:	bincimap.cnf.bz2
Source2:	mkimapdcert.bz2
Requires:	openssl checkpassword libstdc++5 libgcc1
BuildPreReq:	openssl-devel flex bison libstdc++5-devel libgcc1
PreReq:		checkpassword-pam xinetd
Conflicts:	uw-imap courier-imap
Provides:	imap imap-server
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Binc IMAP is an IMAP server, written in C++ for the Linux platform. It
supports Dan J. Bernstein's Maildir format and checkpassword
authentication.

As an alternative to existing similar IMAP servers, Binc IMAP strives
to be

* very easy to install and use, but robust, stable and secure
* absolutely compliant with the IMAP4rev1 protocol
* simple and modular in design, making it very easy for
  third parties to utilize the source code and enhance the
  product.

%prep

%setup -q

%build

%configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_sbindir} \
    --bindir=%{_sbindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/ssl/bincimap
install -d %{buildroot}%{_sysconfdir}/xinetd.d
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}/var/log/bincimap
install -d %{buildroot}/var/log/bincimap-ssl
install -d %{buildroot}%{_mandir}/man{1,5}

install -m755 src/bincimapd %{buildroot}%{_sbindir}/
install -m755 src/auth/bincimap-uidpwd %{buildroot}%{_sbindir}/
install -m755 src/auth/bincimap-auth-checkpassword %{buildroot}%{_sbindir}/
install -m644 conf/bincimap.conf %{buildroot}%{_sysconfdir}/bincimap.conf
install -m644 conf/xinetd-bincimap %{buildroot}%{_sysconfdir}/xinetd.d/bincimap
install -m644 conf/xinetd-bincimaps %{buildroot}%{_sysconfdir}/xinetd.d/bincimaps
install -m644 man/bincimapd.1 %{buildroot}%{_mandir}/man1/
install -m644 man/bincimap.conf.5 %{buildroot}%{_mandir}/man5/

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/ssl/bincimap/bincimap.cnf
bzcat %{SOURCE2} > mkimapdcert

chmod 644 %{buildroot}%{_sysconfdir}/ssl/bincimap/bincimap.cnf

# fix a silly soflink
ln -s bincimapd %{buildroot}%{_sbindir}/in.imapd

# fix the DJB scripts directory
find service -type f -name "Makefile*" | xargs rm -f
find service -type f -name "down" | xargs rm -f

# fix so that plain auth works
perl -pi -e "s|allow plain auth in non ssl = \"no\"|allow plain auth in non ssl = \"yes\"|g" %{buildroot}%{_sysconfdir}/bincimap.conf

# fix paths
perl -pi -e "s|%{_datadir}/ssl/certs/|%{_sysconfdir}/ssl/bincimap/|g" %{buildroot}%{_sysconfdir}/bincimap.conf
perl -pi -e "s|stunnel.pem|bincimap.pem|g" %{buildroot}%{_sysconfdir}/bincimap.conf
perl -pi -e "s|\.crt|bincimap.crt|g" %{buildroot}%{_sysconfdir}/bincimap.conf
perl -pi -e "s|/usr/bin/|%{_sbindir}/|g" %{buildroot}%{_sysconfdir}/xinetd.d/*

# use checkpassword-pam
perl -pi -e "s|/bin/checkpassword|/bin/checkpassword-pam|g" %{buildroot}%{_sysconfdir}/xinetd.d/*

%post
[ -e %{_sysconfdir}/ssl/bincimap/bincimap.crt ] || sh %{_docdir}/%{name}-%{version}/mkimapdcert

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc service mkimapdcert AUTHORS ChangeLog README TODO doc/bincimap* doc/*.txt
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/bincimap.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/bincimap
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/bincimaps
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/ssl/bincimap/bincimap.cnf
%attr(755,root,root) %dir /var/log/bincimap
%attr(755,root,root) %dir /var/log/bincimap-ssl
%attr(755,root,root) %{_sbindir}/bincimap-auth-checkpassword
%attr(755,root,root) %{_sbindir}/bincimap-uidpwd
%attr(755,root,root) %{_sbindir}/bincimapd
%attr(755,root,root) %{_sbindir}/in.imapd
%attr(644,root,root) %{_mandir}/man1/bincimapd.1*
%attr(644,root,root) %{_mandir}/man5/bincimap.conf.5*

%changelog
* Thu Mar 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.25-1mdk
- 1.0.25

* Sat Feb 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.24-1mdk
- 1.0.24

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.23-1mdk
- 1.0.23(-2)
- remove PreReq: Maildir & maildirmake++
- misc spec file fixes

* Sun Feb 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.22-1mdk
- 1.0.22

* Sun Feb 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.21-1mdk
- 1.0.21
- pcre not needed anymore
- drop useless P0
- now there's a ChangeLog!
- fix %%post, thanks to Buchan Milne

* Thu Feb 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.20-2mdk
- require Maildir & maildirmake++

* Wed Feb 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.20-1mdk
- 1.0.20
- now there's a readme!

* Tue Feb 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.19-1mdk
- 1.0.19
- rediff P0
- misc spec file fixes

* Mon Feb 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.18-1mdk
- 1.0.18
- added the bincimap.spec in %%doc because it's where the changelog is
- move binaries to %%{_sbindir}
- misc spec file fixes

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.17-1mdk
- initial cooker contrib
- use P0 until it is configurable
- added modified S1 & S2 from courier-imap


